#
# Running config 12/03/02
#

http_port 172.16.63.254:3128

# Default stuff
hierarchy_stoplist cgi-bin ?
acl QUERY urlpath_regex cgi-bin \?
no_cache deny QUERY

# 768 MB of ram on this server, practically empty
cache_mem 256 MB

# 18 gb SCSI drive
# Mainly want this setting for network installs from the internet, but could live without...
# Should this be in its own cache? Is that possible?
maximum_object_size 150 MB
maximum_object_size_in_memory 512 KB

# 8 GB desired cache size
cache_dir ufs /usr/local/squid/var/cache 8000 16 256

# Default stuff
auth_param basic children 5
auth_param basic realm Squid proxy-caching web server
auth_param basic credentialsttl 2 hours

# Didn't touch
refresh_pattern ^ftp:		1440	20%	10080
refresh_pattern ^gopher:	1440	0%	1440
refresh_pattern .		0	20%	4320

# This causes problems, so I disabled it. Aborted-resumed files were arriving corrupt.
quick_abort_min 0 KB
quick_abort_max 0 KB

# I took a stab at optimizing these timeout settings
# Defaults still yield the same behavior
connect_timeout 30 seconds
read_timeout 1 minutes
request_timeout 30 seconds
client_lifetime 1 hour
half_closed_clients off

# All default stuff here
acl all src 0.0.0.0/0.0.0.0
acl manager proto cache_object
acl localhost src 127.0.0.1/255.255.255.255
acl to_localhost dst 127.0.0.0/8
acl SSL_ports port 443 563
acl Safe_ports port 80		# http
acl Safe_ports port 21		# ftp
acl Safe_ports port 443 563	# https, snews
acl Safe_ports port 70		# gopher
acl Safe_ports port 210		# wais
acl Safe_ports port 1025-65535	# unregistered ports
acl Safe_ports port 280		# http-mgmt
acl Safe_ports port 488		# gss-http
acl Safe_ports port 591		# filemaker
acl Safe_ports port 777		# multiling http
acl CONNECT method CONNECT

http_access allow manager localhost
http_access deny manager
http_access deny !Safe_ports
http_access deny CONNECT !SSL_ports

# Internal private IP range
acl STA src 172.16.0.0/16
http_access allow STA

# Default stuff
http_access deny all
http_reply_access allow all
icp_access allow all

# No actual email address configured presently.
cache_mgr STA-Admin

# Is this even important?
visible_hostname firewall

# Default stuff
coredump_dir /usr/local/squid/var/cache

